### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
OneFactorAffineModel Class Reference
Short-rate modelling framework

Single-factor affine base class. More...

`#include <ql/models/shortrate/onefactormodel.hpp>`

Inheritance diagram for OneFactorAffineModel:
[legend]

List of all members.

## Public Member Functions

| OneFactorAffineModel (Size nArguments)
virtual Real | discountBond (Time now, Time maturity, Array factors) const
Real | discountBond (Time now, Time maturity, Rate rate) const
DiscountFactor | discount (Time t) const
| Implied discount curve.

## Protected Member Functions

virtual Real | A (Time t, Time T) const =0
virtual Real | B (Time t, Time T) const =0

## Detailed Description

Single-factor affine base class.

Single-factor models with an analytical formula for discount bonds should inherit from this class. They must then implement the functions and such that